Bug 541724 - (gtk-chtheme) Review Request: gtk-chtheme - Gtk+ 2.0 theme preview and selection made slick
Review Request: gtk-chtheme - Gtk+ 2.0 theme preview and selection made slick
Status: CLOSED DUPLICATE of bug 604501
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-26 15:43 EST by Vadim Raskhozhev
Modified: 2013-10-19 10:42 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-17 14:43:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vadim Raskhozhev 2009-11-26 15:43:01 EST
Spec URL: http://dexpl.shell.tor.hu/rpms/fc12/gtk-chtheme-0.3.1/gtk-chtheme.spec
SRPM URL: http://dexpl.shell.tor.hu/rpms/fc12/gtk-chtheme-0.3.1/gtk-chtheme-0.3.1-2.fc12.src.rpm
Description:
This little program lets you change your Gtk+ 2.0 theme.
The aim is to make theme preview and selection as slick as possible. Themes
installed on the system are presented for selection and previewed on the fly.
A large variety of widgets provides a comprehensive demonstration.

Hello! This app could be useful for gtk applications users, especially for those who use gtk apps outside of GNOME. It successfully builds in mock and runs at least on x86_64. Build log is available at http://dexpl.shell.tor.hu/rpms/fc12/gtk-chtheme-0.3.1/ . rpmlint output is

$ rpmlint -v fc12/gtk-chtheme-0.3.1/*.rpm
gtk-chtheme.src: I: checking
gtk-chtheme.x86_64: I: checking
gtk-chtheme-debuginfo.x86_64: I: checking
3 packages and 0 specfiles checked; 0 errors, 0 warnings.


This is my first package and I need a sponsor.
Comment 1 Vadim Raskhozhev 2009-12-01 19:28:49 EST
Sorry, the links above are broken due to dead hosting. Correct links are below:
Spec URL:
http://www.ddt.cs.vsu.ru/dexpl/rpms/fc12/gtk-chtheme-0.3.1/gtk-chtheme.spec
SRPM URL:
http://www.ddt.cs.vsu.ru/dexpl/rpms/fc12/gtk-chtheme-0.3.1/gtk-chtheme-0.3.1-2.fc12.src.rpm
Comment 2 Fabian Affolter 2009-12-21 07:10:35 EST
Package Review
==============

Package: 

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec
 [x] Package meets the Packaging Guidelines
 [x] Package successfully compiles and builds into binary RPMs on at least one
supported architecture
     Tested on: F12/i386
 [x] Rpmlint output:
     Source RPM:
     [fab@localhost SRPMS]$ rpmlint gtk-chtheme-0.3.1-2.fc12.src.rpm 
     1 packages and 0 specfiles checked; 0 errors, 0 warnings.
     Binary RPM(s):
     [fab@localhost i686]$ rpmlint gtk-chtheme*
     2 packages and 0 specfiles checked; 0 errors, 0 warnings.
 [x] Package is not relocatable
 [x] Buildroot is correct
     master   : %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
     spec file: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 [x] Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license
     License type: GPLv2+
 [x] If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc

 [x] Spec file is legible and written in American English
 [x] Sources used to build the package matches the upstream source, as provided
in the spec URL
     Upstream source: f688053bf26dd6c4f1cd0bf2ee33de2a
     Build source:    f688053bf26dd6c4f1cd0bf2ee33de2a
 [x] Package is not known to require ExcludeArch
 [-] Architecture independent packages have: BuildArch: noarch
 [x] All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.  %find_lang used for locales
 [x] %{optflags} or RPM_OPT_FLAGS are honoured
 [-] ldconfig called in %post and %postun if required
 [x] %install starts with rm -rf %{buildroot} or $RPM_BUILD_ROOT
 [x] Package must own all directories that it creates
 [x] Package requires other packages for directories it uses
 [x] Package does not own files or directories owned by other packages
 [x] Package does not contain duplicates in %files
 [x] Permissions on files are set properly. %defattr(-,root,root,-) is in every %files section
 [x] Package uses nothing in %doc for runtime
 [x] Package has a %clean section, which contains rm -rf %{buildroot} or $RPM_BUILD_ROOT
 [-] Included tests passed successfully 
 [x] Package consistently uses macros
 [x] Package contains code, or permissable content
 [x] Included filenames are in UTF-8

 [-] Large documentation files are in a -doc subpackage, if required
 [-] Header files (.h) in -devel subpackage, if present
 [-] Fully versioned dependency in subpackage, if present
 [-] Static libraries (.a) in -static subpackage, if present
 [-] Package requires pkgconfig, if .pc files are present
 [-] Development .so files in -devel subpackage, if present
 [-] Package does not contain any libtool archives (.la)
 [x] -debuginfo subpackage is present and looks complete
 [x] No pre-built binaries (.a, .so*, executable)
 
 [x] Package contains a properly installed .desktop file if it is a GUI application
 [x] Follows desktop entry spec
 [x] Valid .desktop Name
 [x] Valid .desktop GenericName
 [x] Valid .desktop Categories
 [x] Valid .desktop StartupNotify
 [x] .desktop file installed with desktop-file-install in %install

=== SUGGESTED ITEMS ===
 [!] Timestamps preserved with cp and install
 [x] Uses parallel make (%{?_smp_mflags})
 [x] Latest version is packaged
 [x] Package does not include license text files separate from upstream
 [-] Description and summary sections in the package spec file contains
translations for supported Non-English languages, if available
 [x] Reviewer should test that the package builds in mock
     Tested on: F12/i386
 [x] Package should compile and build into binary RPMs on all supported
architectures.
     Tested:  http://koji.fedoraproject.org/koji/taskinfo?taskID=1882903
 [x] Package functions as described
 [-] Scriptlets must be sane, if used
 [-] The placement of pkgconfig(.pc) files is correct
 [-] File based requires are sane
 [x] Changelog in allowed format

- Please preserve the timestamps
  http://fedoraproject.org/wiki/Packaging:Guidelines#Timestamps
- '%attr(644,root,root)' for the man pages is not necessary.
- Using macros in URL is not very user friendly because copy-and-paste is not possible ;-)
- From my point of view there are better options than showing the 'aud-Default' theme after the launch.  For users this can look like that the application is not working correct. Maybe getting in touch with upstream would be a good idea. 

By the way, I'm not a sponsor.  So you have to wait for a sponsor.  In the meantime you should make some informal reviews by yourself.
Comment 3 Fabian Affolter 2010-03-08 06:21:21 EST
Any progress?
Comment 4 Fabian Affolter 2010-04-08 09:19:33 EDT
Ping?
Comment 5 Germán Racca 2010-05-04 17:09:18 EDT
Hello:

I'd like to be the packager of this program. I've the spec file ready.
Should I wait until this bug is (eventually) closed if there is no response to the ping?

Cheers,
German.
Comment 6 Fabian Affolter 2010-05-18 04:45:44 EDT
Vadim, can you please go on with this?  If you are no longer interested in maintaining this package, close this review that German can take over.

I would like to have a response within a week.  Thanks.
Comment 7 Fabian Affolter 2010-06-15 07:37:01 EDT
German, can you please open a review request and cc me?
Comment 8 Germán Racca 2010-06-16 00:55:45 EDT
(In reply to comment #7)
> German, can you please open a review request and cc me?    

Sure. I'm doing it right now! :-)
Germán.
Comment 9 Fabian Affolter 2010-06-17 14:43:02 EDT

*** This bug has been marked as a duplicate of bug 604501 ***

Note You need to log in before you can comment on or make changes to this bug.